### Class

# FoundryGtk TerminalPalette

#### Description

    final class FoundryGtk.TerminalPalette : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### foundry_terminal_palette_new

No description available.

#### Instance methods

###### foundry_terminal_palette_get_background

No description available.

###### foundry_terminal_palette_get_colors

No description available.

###### foundry_terminal_palette_get_cursor_background

No description available.

###### foundry_terminal_palette_get_cursor_foreground

No description available.

###### foundry_terminal_palette_get_foreground

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### FoundryGtk.TerminalPalette:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGtkTerminalPaletteClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.